Package org.gradle.plugin.management

## Interface PluginRequest

-     public interface PluginRequest

  Contains information about a plugin that has been requested for resolution.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PluginId` | `getId()` | The ID of the plugin requested.
    `ModuleVersionSelector` | `getModule()` | The implementation module of the plugin if one was explicitly specified, otherwise null.
    `java.lang.String` | `getVersion()` | The version of the plugin if one was specified, otherwise null.

- - ### Method Detail

    - #### getId

          PluginId getId()

      The ID of the plugin requested. Never null.

    - #### getVersion

          @Nullable
          java.lang.String getVersion()

      The version of the plugin if one was specified, otherwise null.

    - #### getModule

          @Nullable
          ModuleVersionSelector getModule()

      The implementation module of the plugin if one was explicitly specified, otherwise null.